.table-container {
  min-height: .01%;
  overflow-x: auto;
}

table {
  @include fontapercu;
  $column-marking-bgrd: $grey25;
  empty-cells: show;

  caption {
    padding: $gutter-s 0;
    text-align: center;
  }

  td,
  th {
    font-size: inherit;
    border-bottom: 3px solid $white;
    overflow: visible;
    padding: ($gutter-sm / 2) $gutter-sm;
  }

  th {
    @include user-select;
    text-transform: uppercase;
  }

  td {
    background-color: $grey15;

    &.column-sorted {
      background-color: $column-marking-bgrd;
    }
  }

  thead {
    text-align: left;
    vertical-align: bottom;
    @media #{$gl-xs} {
      display: none;
    }
  }

  tbody {
    th {
      background: $grey25;

      &.column-sorted {
        background-color: $column-marking-bgrd;
      }
    }

    tr {
      @media #{$gl-xs} {
        display: block;
        background: $grey15;
        margin-bottom: $gutter-s;
        padding: $gutter-sm;
      }

      td,
      th {
        @media #{$gl-xs} {
          display: block;
          text-align: left;
          background: transparent;
          border: 0;
          padding: 0 0 $gutter-s;
        }

        &.column-sorted {
          @media #{$gl-xs} {
            background: transparent;
          }
        }

        .thead {
          display: none;
          color: $grey75;
          @media #{$gl-xs} {
            display: block;
          }
        }
      }

      td {
        &:last-child {
          @media #{$gl-xs} {
            padding-bottom: 0;
          }
        }
      }
    }
  }

  &.mobile-td-width100 {
    tbody {
      tr {
        td,
        th {
          @media #{$gl-xs} {
            // If column widths are set outside CSS
            // then we need to overwrite it with !important.
            width: 100%;
          }
        }
      }
    }
  }

  th[role='columnheader']:not(.no-sort) {
    cursor: pointer;
  }

  th[role='columnheader']:not(.no-sort)::after {
    @include user-select;
    font-family: 'mpiwg-icons';
    speak: none;
    font-style: normal;
    font-weight: normal;
    width: 2rem;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    font-size: .8em;
    padding-left: ($gutter-s / 2);
    content: '\e905';
    visibility: hidden;
    opacity: 0;
  }

  th[aria-sort='ascending']:not(.no-sort)::after {
    content: '\e913';
  }

  th[aria-sort]:not(.no-sort)::after {
    visibility: visible;
    opacity: .4;
  }

  th[role='columnheader']:not(.no-sort):hover::after {
    visibility: visible;
    opacity: 1;
  }
}

.microsite {
  table {
    th {
      background: $white;
    }

    tr:nth-child(even) {
      background: $white;
    }

    tr:nth-child(odd) {
      background: $grey15;
    }

    td {
      background: none;
    }
  }
}

#tables {
  table {
    width: 90%;
  }
}

// Table Fix
table {
  width: 100%;
}
